Create group mapping
/group-mapping
Request Body
Environment IDs that members of the mapped group are granted access to.
The role granted to members of the mapped SCIM group.
memberadminmember
The ID of the SCIM group this mapping applies to.
9c2b104d-74a6-47f2-b93e-c6b611e82391The ID of the team this mapping belongs to.
05daecaf-4365-42e8-8370-8127de5dd717Response Body
The date and time when the group mapping was created.
2021-08-10T10:00:00.000ZEnvironment IDs that members of the mapped group are granted access to.
The ID of the group mapping.
1ba1f401-7183-47c5-9e39-e8e257e3c795The role granted to members of the mapped SCIM group. Null leaves the role unchanged.
memberadminmember
The ID of the SCIM group this mapping applies to.
9c2b104d-74a6-47f2-b93e-c6b611e82391The ID of the team that owns this group mapping.
05daecaf-4365-42e8-8370-8127de5dd717The date and time when the group mapping was last updated.
2021-08-10T10:30:00.000Zcurl -X POST 'https://api.truto.one/group-mapping' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
"scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
"role": "member",
"environment_ids": []
}'const body = {
"team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
"scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
"role": "member",
"environment_ids": []
};
const response = await fetch('https://api.truto.one/group-mapping', {
method: 'POST',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/group-mapping"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
payload = {
"team_id": "05daecaf-4365-42e8-8370-8127de5dd717",
"scim_group_id": "9c2b104d-74a6-47f2-b93e-c6b611e82391",
"role": "member",
"environment_ids": []
}
response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())